--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: The DataStream class. A DataStream is just a Hash. The :text key has a special meaning because it's the value that will be used when converting to String
constants: []

full_name: "::Bot::DataStream"
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: to_s
name: DataStream
superclass: Hash
